Accept offers
Transporter token. Accepts one or more offers. Each accepted trip is outsourced to you; then assign a driver. Returns 200 when at least one offer was accepted, with the others in failed.
Authentication
AuthorizationBearer
Send Authorization: Bearer <token>. Company endpoints take the company API token from POST /api/v1/partners/login. /transporters endpoints take the transporter token from POST /api/v1/partners/transporters/login. You can also send the token as an access_token query parameter or body field.
Request
This endpoint expects an object.
offer_ids
Offer ids from the offers list (not trip ids).
Response
Success
status
msg
msgs
data
Errors
401
Unauthorized Error
409
Conflict Error
412
Precondition Failed Error
429
Too Many Requests Error

